curl --request POST \
--url https://api.example.com/request \
--header 'Content-Type: application/json' \
--data '
{
"users": [
{
"contact": "john.doe@example.com",
"secondaryContact": "+351912345678",
"docId": "1234567890",
"language": "ENG",
"signerQuality": "Administrator"
}
],
"name": "My request",
"iframe": {
"pubKey": "MFkwEwYHKoZIzj0CAQYIKoZIzj0DAQcDQgAE..."
},
"securityLevel": "CONTACT",
"groupIds": [
"1234567890"
],
"resourcesIds": [
"1234567890"
],
"credentials": [
{
"type": "DOCUMENT",
"name": "Document 1",
"scope": "payments.hotel",
"validFrom": "2025-01-01T00:00:00.000Z",
"validUntil": "2026-01-01T00:00:00.000Z",
"description": "Employee NDA signed on 2025-01-01",
"internalId": "internal-12345",
"data": "base64 encoded PDF",
"placements": [
{
"contact": "user@example.com",
"x": 123,
"y": 123,
"width": 123,
"height": 123,
"pageIndex": 123,
"identityType": {}
}
]
}
],
"internalId": "order-123",
"authorizedDIDs": [
"did:web:google.com",
"did:web:google.pt"
]
}
'import requests
url = "https://api.example.com/request"
payload = {
"users": [
{
"contact": "john.doe@example.com",
"secondaryContact": "+351912345678",
"docId": "1234567890",
"language": "ENG",
"signerQuality": "Administrator"
}
],
"name": "My request",
"iframe": { "pubKey": "MFkwEwYHKoZIzj0CAQYIKoZIzj0DAQcDQgAE..." },
"securityLevel": "CONTACT",
"groupIds": ["1234567890"],
"resourcesIds": ["1234567890"],
"credentials": [
{
"type": "DOCUMENT",
"name": "Document 1",
"scope": "payments.hotel",
"validFrom": "2025-01-01T00:00:00.000Z",
"validUntil": "2026-01-01T00:00:00.000Z",
"description": "Employee NDA signed on 2025-01-01",
"internalId": "internal-12345",
"data": "base64 encoded PDF",
"placements": [
{
"contact": "user@example.com",
"x": 123,
"y": 123,
"width": 123,
"height": 123,
"pageIndex": 123,
"identityType": {}
}
]
}
],
"internalId": "order-123",
"authorizedDIDs": ["did:web:google.com", "did:web:google.pt"]
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
users: [
{
contact: 'john.doe@example.com',
secondaryContact: '+351912345678',
docId: '1234567890',
language: 'ENG',
signerQuality: 'Administrator'
}
],
name: 'My request',
iframe: {pubKey: 'MFkwEwYHKoZIzj0CAQYIKoZIzj0DAQcDQgAE...'},
securityLevel: 'CONTACT',
groupIds: ['1234567890'],
resourcesIds: ['1234567890'],
credentials: [
{
type: 'DOCUMENT',
name: 'Document 1',
scope: 'payments.hotel',
validFrom: '2025-01-01T00:00:00.000Z',
validUntil: '2026-01-01T00:00:00.000Z',
description: 'Employee NDA signed on 2025-01-01',
internalId: 'internal-12345',
data: 'base64 encoded PDF',
placements: [
{
contact: 'user@example.com',
x: 123,
y: 123,
width: 123,
height: 123,
pageIndex: 123,
identityType: {}
}
]
}
],
internalId: 'order-123',
authorizedDIDs: ['did:web:google.com', 'did:web:google.pt']
})
};
fetch('https://api.example.com/request', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "507f1f77bcf86cd799439011",
"credentials": [
{
"id": "urn:via:credential:550e8400-e29b-41d4-a716-446655440000",
"name": "Credential Name",
"internalId": "internal-12345"
}
],
"subjects": [
{
"contact": "user@example.com",
"id": "did:web:humanos.tech:user:73ebefdd-a549-4873-aad9-def80c40c8c8",
"secondaryContact": "+351912345678",
"link": "https://app.humanos.id/link/507f1f77bcf86cd799439011.Ab12Cd34Ef56Gh78"
}
]
}{
"statusCode": 404,
"message": "Failed to generate credentials request",
"error": "Not Found"
}{
"statusCode": 402,
"message": "Insufficient credits for this action. Please top up your balance.",
"error": "Unknown Error"
}{
"statusCode": 409,
"message": "Try again later",
"error": "Unknown Error"
}Create Request
Create a new request for one or more subjects (users).
This endpoint will:
- Create credentials from resources (via group IDs, resource IDs) or inline JSON data
- Associate those credentials with subjects
- Generate and send OTPs via email or SMS
Headers
Optional key used to safely retry the same create/initiate request without duplicating side effects.
"a96d14c5-8e60-4f6b-9d80-5c18c0e4202a"
Pin request, response, and webhook shapes to a specific dated API version (YYYY-MM-DD). Omit to use the version pinned to your API key (set when the key is created; new keys default to the latest version). New integrations should target the latest version.
^\d{4}-\d{2}-\d{2}$"2026-07-06"
Body
Request body containing contacts (subjects), security level, and credentials to generate
Resources can be specified via groupIds, resourcesIds, or inline credentials array.
Optional fields: name (label for the request), internalId (your own reference), iframe (postMessage/iframe signing config), and authorizedDIDs (extra DIDs granted read + VP create/verify access; the requester DID is always appended).
Array of users to be included in the request
Show child attributes
Show child attributes
[
{
"contact": "john.doe@example.com",
"secondaryContact": "+351912345678",
"docId": "1234567890",
"language": "ENG",
"signerQuality": "Administrator"
}
]
Name to be assigned to the request
"My request"
IFrame configuration for the request
Show child attributes
Show child attributes
{
"pubKey": "MFkwEwYHKoZIzj0CAQYIKoZIzj0DAQcDQgAE..."
}
Security level for the request
CONTACT, ORGANIZATION_KYC, HUMANOS_KYC, HUMANOS_REVALIDATION Ids of existing group resources to be included in the request
["1234567890"]
Ids of existing resources to be included in the request
["1234567890"]
Inline JSON credentials to be included in the request
Show child attributes
Show child attributes
Internal identifier for the request
"order-123"
Grants 3 types of access to the request:
-
READ access to request detail, credentials, and corresponding evidences.
-
Allows to create Verifiable Presentations (VPs) from mandates associated with this request
-
Allows to verify Verifiable Presentations (VPs) from mandates associated with this request
By default, the requester DID are automatically appended to this list.
["did:web:google.com", "did:web:google.pt"]
Response
Returns information about the new request, subjects, and credentials